package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 作业证书一览对象 t_workcertificate
 *
 * @author ruoyi
 * @date 2020-12-01
 */
public class TWorkcertificate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 员工号 */
    @Excel(name = "员工号")
    private String employeeid;

    /** 班组 */
    @Excel(name = "班型", dictType = "CLASSES")
    private String classes;

    /** 压力容器 */
    @Excel(name = "压力容器")
    private String container;

    /** 压力管道 */
    @Excel(name = "压力管道")
    private String pipe;

    /** 身份证件号 */
    @Excel(name = "身份证件号")
    private String idnum;

    /** 复证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reviewdate;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pipevalidity;

    /** 锅炉证 */
    @Excel(name = "锅炉证")
    private String boiler;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date boilvalidity;

    /** 加氢工艺 */
    @Excel(name = "加氢工艺")
    private String hydrogenation;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hydvalidity;

    /** 下次复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hydnextreview;

    /** 裂化工艺 */
    @Excel(name = "裂化工艺")
    private String cracking;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date crackingvalidity;

    /** 复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date crackingreview;

    /** 班组长最近培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "班组长最近培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremantrain;

    /** 班组长本次复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "班组长本次复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremanreview;

    /** 班组长下次复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "班组长下次复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremannextreview;

    /** 锅炉水质培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "锅炉水质培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date waterdate;

    /** 锅炉能效培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "锅炉能效培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date energydate;

    /** 制冷作业培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "制冷作业培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date refrigerationdate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setEmployeeid(String employeeid)
    {
        this.employeeid = employeeid;
    }

    public String getEmployeeid()
    {
        return employeeid;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setContainer(String container)
    {
        this.container = container;
    }

    public String getContainer()
    {
        return container;
    }
    public void setPipe(String pipe)
    {
        this.pipe = pipe;
    }

    public String getPipe()
    {
        return pipe;
    }
    public void setIdnum(String idnum)
    {
        this.idnum = idnum;
    }

    public String getIdnum()
    {
        return idnum;
    }
    public void setReviewdate(Date reviewdate)
    {
        this.reviewdate = reviewdate;
    }

    public Date getReviewdate()
    {
        return reviewdate;
    }
    public void setPipevalidity(Date pipevalidity)
    {
        this.pipevalidity = pipevalidity;
    }

    public Date getPipevalidity()
    {
        return pipevalidity;
    }
    public void setBoiler(String boiler)
    {
        this.boiler = boiler;
    }

    public String getBoiler()
    {
        return boiler;
    }
    public void setBoilvalidity(Date boilvalidity)
    {
        this.boilvalidity = boilvalidity;
    }

    public Date getBoilvalidity()
    {
        return boilvalidity;
    }
    public void setHydrogenation(String hydrogenation)
    {
        this.hydrogenation = hydrogenation;
    }

    public String getHydrogenation()
    {
        return hydrogenation;
    }
    public void setHydvalidity(Date hydvalidity)
    {
        this.hydvalidity = hydvalidity;
    }

    public Date getHydvalidity()
    {
        return hydvalidity;
    }
    public void setHydnextreview(Date hydnextreview)
    {
        this.hydnextreview = hydnextreview;
    }

    public Date getHydnextreview()
    {
        return hydnextreview;
    }
    public void setCracking(String cracking)
    {
        this.cracking = cracking;
    }

    public String getCracking()
    {
        return cracking;
    }
    public void setCrackingvalidity(Date crackingvalidity)
    {
        this.crackingvalidity = crackingvalidity;
    }

    public Date getCrackingvalidity()
    {
        return crackingvalidity;
    }
    public void setCrackingreview(Date crackingreview)
    {
        this.crackingreview = crackingreview;
    }

    public Date getCrackingreview()
    {
        return crackingreview;
    }
    public void setForemantrain(Date foremantrain)
    {
        this.foremantrain = foremantrain;
    }

    public Date getForemantrain()
    {
        return foremantrain;
    }
    public void setForemanreview(Date foremanreview)
    {
        this.foremanreview = foremanreview;
    }

    public Date getForemanreview()
    {
        return foremanreview;
    }
    public void setForemannextreview(Date foremannextreview)
    {
        this.foremannextreview = foremannextreview;
    }

    public Date getForemannextreview()
    {
        return foremannextreview;
    }
    public void setWaterdate(Date waterdate)
    {
        this.waterdate = waterdate;
    }

    public Date getWaterdate()
    {
        return waterdate;
    }
    public void setEnergydate(Date energydate)
    {
        this.energydate = energydate;
    }

    public Date getEnergydate()
    {
        return energydate;
    }
    public void setRefrigerationdate(Date refrigerationdate)
    {
        this.refrigerationdate = refrigerationdate;
    }

    public Date getRefrigerationdate()
    {
        return refrigerationdate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("name", getName())
            .append("employeeid", getEmployeeid())
            .append("classes", getClasses())
            .append("container", getContainer())
            .append("pipe", getPipe())
            .append("idnum", getIdnum())
            .append("reviewdate", getReviewdate())
            .append("pipevalidity", getPipevalidity())
            .append("boiler", getBoiler())
            .append("boilvalidity", getBoilvalidity())
            .append("hydrogenation", getHydrogenation())
            .append("hydvalidity", getHydvalidity())
            .append("hydnextreview", getHydnextreview())
            .append("cracking", getCracking())
            .append("crackingvalidity", getCrackingvalidity())
            .append("crackingreview", getCrackingreview())
            .append("foremantrain", getForemantrain())
            .append("foremanreview", getForemanreview())
            .append("foremannextreview", getForemannextreview())
            .append("waterdate", getWaterdate())
            .append("energydate", getEnergydate())
            .append("refrigerationdate", getRefrigerationdate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
